class KDirListerPrivate

# class KDirListerPrivate |
Full name | `KDirLister::KDirListerPrivate`
Definition | `#include <kdirlister_p.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- struct JobData

#### Public Methods

- KDirListerPrivate ()

#### Public Members

- KURL::List lstDirs
- KURL url
- bool complete
- bool autoUpdate
- bool isShowingDotFiles
- bool dirOnlyMode
- bool autoErrorHandling
- QWidget *errorParent
- bool delayedMimeTypes
- QMap< KIO::ListJob*, JobData > jobData
- KFileItem *rootFileItem
- KFileItemList *lstNewItems
- KFileItemList *lstRefreshItems
- KFileItemList *lstMimeFilteredItems
- int changes
- QWidget *window
- QString nameFilter
- QPtrList lstFilters
- QPtrList oldFilters
- QStringList mimeFilter
- QStringList oldMimeFilter
- QStringList mimeExcludeFilter
- QStringList oldMimeExcludeFilter

## Detailed Description

KDirListerPrivate () | ### KDirListerPrivate

KURL::List lstDirs | ### lstDirs

KURL url | ### url

bool complete | ### complete

bool autoUpdate | ### autoUpdate

bool isShowingDotFiles | ### isShowingDotFiles

bool dirOnlyMode | ### dirOnlyMode

bool autoErrorHandling | ### autoErrorHandling

QWidget * errorParent | ### errorParent

bool delayedMimeTypes | ### delayedMimeTypes

JobData (struct) | ### JobData

List of dirs handled by this dirlister. The first entry is the base URL. For a tree view, it contains all the dirs shown.

QMap< KIO::ListJob*, JobData > jobData | ### jobData

KFileItem * rootFileItem | ### rootFileItem

KFileItemList * lstNewItems | ### lstNewItems

KFileItemList * lstRefreshItems | ### lstRefreshItems

KFileItemList * lstMimeFilteredItems | ### lstMimeFilteredItems

int changes | ### changes

QWidget * window | ### window

QString nameFilter | ### nameFilter

QPtrList<QRegExp> lstFilters | ### lstFilters

QPtrList<QRegExp> oldFilters | ### oldFilters

QStringList mimeFilter | ### mimeFilter

QStringList oldMimeFilter | ### oldMimeFilter

QStringList mimeExcludeFilter | ### mimeExcludeFilter

QStringList oldMimeExcludeFilter | ### oldMimeExcludeFilter

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:57 2003, using kdoc 2.0a54.